# Module `root`

awesome root window API

### Info:

- Copyright: 2008-2009 Julien Danjou
- Author: Julien Danjou <julien@danjou.info>

## Functions

buttons (button_table) | Get or set global mouse bindings.
keys (keys_array) | Get or set global key bindings.
cursor (cursor_name) | Set the root cursor.
fake_input (event_type, detail, x, y) | Send fake events.
drawins () | Get the drawins attached to a screen.
wallpaper (pattern) | Get the wallpaper as a cairo surface or set it as a cairo pattern.
tags () | Get the attached tags.

## Functions

buttons (button_table)
  Get or set global mouse bindings. This binding will be available when you'll click on root window.

  ### Parameters:

  - button_table An array of mouse button bindings objects, or nothing.

  ### Returns:

  The array of mouse button bindings objects.
keys (keys_array)
  Get or set global key bindings. This binding will be available when you'll press keys on root window.

  ### Parameters:

  - keys_array An array of key bindings objects, or nothing.

  ### Returns:

  The array of key bindings objects of this client.
cursor (cursor_name)
  Set the root cursor.

  ### Parameters:

  - cursor_name A X cursor name.
fake_input (event_type, detail, x, y)
  Send fake events. Usually the current focused client will get it.

  ### Parameters:

  - event_type The event type: key_press, key_release, button_press, button_release or motion_notify.
  - detail The detail: in case of a key event, this is the keycode to send, in case of a button event this is the number of the button. In case of a motion event, this is a boolean value which if true make the coordinates relatives.
  - x In case of a motion event, this is the X coordinate.
  - y In case of a motion event, this is the Y coordinate.
drawins ()
  Get the drawins attached to a screen.

  ### Returns:

  A table with all drawins.
wallpaper (pattern)
  Get the wallpaper as a cairo surface or set it as a cairo pattern.

  ### Parameters:

  - pattern A cairo pattern as light userdata

  ### Returns:

  A cairo surface or nothing.
tags ()
  Get the attached tags.

  ### Returns:

  A table with all tags.

generated by LDoc 1.4.2